<?php
/**
 * NOTICE OF LICENSE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS For A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @author    Xavier Lecoq
 * @copyright 2015-2018 Inwave
 * @license   GNU General Public License version 2
 */

class SHOutils extends AdminController  
{  

    // public static function getTabs()
    // {
    //     return array(
    //         "AdminSHConfiguration" => array(
    //             "label" => "Configurer",
    //             "icon" => "settings",
    //         ),
    //         "AdminSHEnvoyerSMS" => array(
    //             "label" => "Envoyer des SMS",
    //             "icon" => "message",
    //         ),
    //         "AdminSHEnvoyerEmail" => array(
    //             "label" => "Envoyer des Emails",
    //             "icon" => "mail_outline",
    //         ),
    //         "AdminSHConfigurationEmail" => array(
    //             "label" => "Configurer des Emails automatiques",
    //             "icon" => "add_alert",
    //         ),
    //     );
    // }


/*******************NEW****************** */
    public function __construct()
    {
        $this->table = 'tunisiesms_sms_send';
        $this->className = 'TunisieSMS';  
        parent::__construct();

 
   }

    public static function correctNumero($numero, $indicatif = '216')
    {
            
        $render = false;

        if (Tools::strlen($numero) == 49) {
            $numero = Tools::substr($numero, 0, -40);
        }
        $numero = str_replace('&#039;', "", $numero);
        $destinataire = preg_replace("/[^0-9]/", "", $numero);
        while (@$destinataire[0] == '0') {
            $destinataire = Tools::substr($destinataire, 1);
        }

        if (is_numeric($destinataire)) {
            $len = Tools::strlen($destinataire);
            if ($len == 8 || $len == 8) {
                $render = '+'.$indicatif.$destinataire;
            } elseif ($len == 10 or $len == 11 or $len == 12 or $len == 13) {
                $render = '+'.$destinataire;
            }
        }

        return $render;
    }

    public static function isMobile($numero, $indicatif = "216")
    {
        if (self::isInternational($numero)) {
            return true;
        }
        if ($indicatif !== "216") {
            return true;
        }

        return ($numero[4] == '9' or $numero[4] == '2' or $numero[4] == '5' or $numero[4] == '4' or $numero[4] == '3');
    }

    public static function isInternational($numero)
    {
        return ($numero[1] !== '2' or $numero[2] !== '1' or $numero[3] !== '6');
    }

    public static function exportContacts($group_id, $group_name)
    {
        $return = array();
        $return['resultat'] = false;
        $return['erreur'] = 0;
        $config = SHOutils::getConfig();

        if ($group_id == '1') {
            $group_id = 0;
        }

        // if (isset($config['cle_api']) && !empty($config['cle_api'])) {
        //     $contacts = DB::getInstance()->executeS(
        //         '
        //     SELECT c.id_customer,c.firstname,c.lastname,c.email,a.phone,a.phone_mobile,a.address1,a.postcode,a.city
        //     FROM `'._DB_PREFIX_.'customer` c
        //     LEFT JOIN `'._DB_PREFIX_.'address` a ON c.id_customer = a.id_customer and a.deleted != 1 
        //     WHERE c.deleted != 1 AND NOT EXISTS(
        //     SELECT 1 from '._DB_PREFIX_.'address b where c.id_customer = b.id_customer and a.id_address < b.id_address 
        //     AND b.deleted != 1)
        //     '
        //     );
        //     $datas = array(
        //         'key' => $config['cle_api'],
        //         'from' => 'prestashop',
        //         'ajouter_autres_groupes' => '1',
        //         'contacts' => $contacts,
        //         'groupe_id' => $group_id,
        //         'groupe_nom' => $group_name,
        //     );
        //     $ch = curl_init('http://www.spot-hit.fr/api/contacts/import');
        //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($datas, '', '&'));
        //     $reponse_json = curl_exec($ch);

        //     if (empty($reponse_json)) {
        //         return array('resultat' => 0, 'erreur' => 13);
        //     }

        //     curl_close($ch);
        //     $reponse_array = Tools::jsonDecode($reponse_json, true);

        //     if (!$reponse_array['resultat'] && is_array($reponse_array['erreurs'])) {
        //         $return['erreur'] = $reponse_array['erreurs'][0];
        //     } elseif ($reponse_array['resultat']) {
        //         $return['resultat'] = true;
        //     } else {
        //         $return['erreur'] = $reponse_array['erreurs'];
        //     }
        // }

        return $return;
    }

    public static function exportNewsletterContacts($group_id, $group_name)
    {
        $return = array();
        $return['resultat'] = false;
        $return['erreur'] = 0;
        $config = SHOutils::getConfig();

        if ($group_id == '1') {
            $group_id = 0;
        }

        // if (isset($config['cle_api']) && !empty($config['cle_api'])) {
        //     $contacts = Db::getInstance()->executeS(
        //         'SELECT email,newsletter_date_add,ip_registration_newsletter FROM  '._DB_PREFIX_.'emailsubscription'
        //     );
        //     $datas = array(
        //         'key' => $config['cle_api'],
        //         'from' => 'prestashop',
        //         'ajouter_autres_groupes' => '1',
        //         'contacts' => $contacts,
        //         'groupe_id' => $group_id,
        //         'groupe_nom' => $group_name,
        //     );
        //     $ch = curl_init('http://www.spot-hit.fr/api/contacts/import');
        //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($datas, '', '&'));
        //     $reponse_json = curl_exec($ch);

        //     if (empty($reponse_json)) {
        //         return array('resultat' => 0, 'erreur' => 13);
        //     }

        //     curl_close($ch);
        //     $reponse_array = Tools::jsonDecode($reponse_json, true);
        //     if (!$reponse_array['resultat'] && is_array($reponse_array['erreurs'])) {
        //         $return['erreur'] = $reponse_array['erreurs'][0];
        //     } elseif ($reponse_array['resultat']) {
        //         $return['resultat'] = true;
        //     } else {
        //         $return['erreur'] = $reponse_array['erreurs'];
        //     }
        // }

        return $return;
    }


    /*******************NEW****************** */


    public static function sendSMS($expediteur, $contacts = array(), $message = '', $type = 'premium', $taille = '1')
    {
        
        $return = array();
        $return['resultat'] = false;
        $return['erreur'] = 0;
        
        $config = SHOutils::getConfig();

        
        if (isset($config['cle_api']) && !empty($config['cle_api'])) {
            $datas = array(
                'key' => $config['cle_api'],
                'from' => 'prestashop',
                'destinataires' => $contacts,
                'type' => $type,
                'message' => $message,
                'smslong' => ($taille > 1 ? 1 : 0),
                'expediteur' => Tools::substr($expediteur, 0, 11),
                'date' => '',
            );



            
            $sender =  Tools::substr($expediteur, 0, 11);
            $dateOfToday=date( 'Y-m-d H:i:s') ;


            /*************ADMIN PART*************** */
            // $adm_sms_destinataires='adm_sms_destinataires';
            // $result = Db::getInstance()->getRow(
            //     'SELECT valeur from '._DB_PREFIX_.'tunisiesms_configuration where champs="'.pSQL($adm_sms_destinataires).'"'
            // );

            // $num_admin = $result['valeur'];
            // $ch2= "http://151.80.176.95/bulksmsjob/Api/Api.aspx?fct=sms&key=". urlencode($datas['key'])."&mobile=" .$num_admin . "&sms=".urlencode($datas['message'])."&sender=".urlencode($datas['expediteur']);
      
            // $query = Db::getInstance()->execute(
            //     'INSERT INTO '._DB_PREFIX_.'tunisiesms_sms_send SET sms ="'.$datas['message'].'", 
            //     sender = "'.$datas['expediteur'].'",recipient = "'.$num_admin.'",
            //     date = "'. $dateOfToday.'",
            //     response = "'.SHOutils::http_response($ch2).'",
            //     status = "'.SHOutils::http_response_status($ch2).'"'
            // );
         
    

            foreach($contacts as $msisdn )
            {       
                
                $ch= "https://app.tunisiesms.tn/Api/Api.aspx?fct=sms&key=". urlencode($datas['key'])."&mobile=" . urlencode(str_replace("+","",$msisdn)) . "&sms=".urlencode($datas['message'])."&sender=".urlencode($datas['expediteur']);
                //$ch= "http://151.80.176.95/bulksmsjob/Api/Api.aspx?fct=sms&key=". urlencode($datas['key'])."&mobile=" . urlencode(str_replace("+","",$msisdn)) . "&sms=".urlencode($datas['message'])."&sender=".urlencode($datas['expediteur']);
                /******http_response_status 2 FOIS ******/

                $reponse = SHOutils::http_response($ch);
                $status = '';

                if($reponse == 200)
                {
                    $status= 'Success';
                }
                else if ($reponse == 400)
                {
                    $status= 'Absence de key';
                }
                else if ($reponse == 401)
                {
                    $status= 'key non autorisé';
                }
                else if ($reponse == 402)
                {
                    $status= 'crédit insuffisant';
                }
                else if ($reponse == 420)
                {
                    $status= 'quota journalier dépassé';
                }
                else if ($reponse == 430)
                {
                    $status= 'contenu manquant';
                }
                 else if ($reponse == 431)
                {
                    $status= 'destination manquante';
                }
                else if ($reponse == 440)
                {
                    $status= 'contenu trop long';
                }
                else if ($reponse == 441)
                {
                    $status= 'destination non autorisée';
                }
                else if ($reponse == 442)
                {
                    $status= 'sender non autorisée';
                }
                else if ($reponse == 500)
                {
                    $status= 'serveur interne';
                }
                else
                {
                    $status= 'Error';
                }



                $query = Db::getInstance()->execute(
                    'INSERT INTO '._DB_PREFIX_.'tunisiesms_sms_send SET sms ="'.$datas['message'].'", 
                    sender = "'.$datas['expediteur'].'",recipient = "'.str_replace("+","",$msisdn).'",
                    date = "'. $dateOfToday.'",
                    response = "'.$reponse.'",
                    status = "'.$status.'"'
                );

                

                if($reponse == 200)
                {
                    $return['resultat'] = true;
                }
                else
                {
                    $return['resultat'] = false;
                    $return['erreur'] = $reponse;
                    
                }
                    



            }


         }

        return $return;
    }


    /*public static function sendEmail(
        $expediteur,
        $nom_expediteur,
        $email_reponse,
        $sujet,
        $contacts = array(),
        $message = ''
    ) {
        $return = array();
        $return['resultat'] = false;
        $return['erreur'] = 0;
        $config = SHOutils::getConfig();

        // if (isset($config['cle_api']) && !empty($config['cle_api'])) {
        //     $datas = array(
        //         'key' => $config['cle_api'],
        //         'from' => 'prestashop',
        //         'destinataires' => $contacts,
        //         'message' => $message,
        //         'expediteur' => $expediteur,
        //         'nom_expediteur' => $nom_expediteur,
        //         'email_reponse' => $email_reponse,
        //         'sujet' => $sujet,
        //         'date' => '',
        //     );
        //     $ch = curl_init('http://www.spot-hit.fr/api/envoyer/e-mail');
        //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($datas, '', '&'));
        //     $reponse_json = curl_exec($ch);

        //     if (empty($reponse_json)) {
        //         return array('resultat' => 0, 'erreur' => 13);
        //     }

        //     curl_close($ch);
        //     $reponse_array = Tools::jsonDecode($reponse_json, true);

        //     if (!$reponse_array['resultat'] && is_array($reponse_array['erreurs'])) {
        //         $return['erreur'] = $reponse_array['erreurs'][0];
        //     } elseif ($reponse_array['resultat']) {
        //         $return['resultat'] = true;
        //     } else {
        //         $return['erreur'] = $reponse_array['erreurs'];
        //     }
        // }
        $return['resultat'] = true;
        return $return;
    }
*/
    public static function getCredits()
    {
        $credits = array();
        $credits['post_paye'] = false;
        $credits['premium'] = 0;
        $credits['lowcost'] = 0;
        $credits['requete'] = true;

        //TODO AMINE
        //$config = SHOutils::getConfig();

        // if (isset($config['cle_api']) && !empty($config['cle_api'])) {
        //     $data = array(
        //         'key' => $config['cle_api'],
        //         'from' => 'prestashop',
        //     );

        //     $ch = curl_init('http://www.spot-hit.fr/api/credits');
        //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data, '', '&'));
        //     $reponse_json = curl_exec($ch);
        //     curl_close($ch);

        //     if ($reponse_array = Tools::jsonDecode($reponse_json, true)) {
        //         if ($reponse_array['resultat']) {
        //             $credits['post_paye'] = $reponse_array['post_paye'];
        //             $credits['pre_paye'] = $reponse_array['pre_paye'];
        //             $credits['euros'] = $reponse_array['euros'];
        //             $credits['premium'] = $reponse_array['premium'];
        //             $credits['lowcost'] = $reponse_array['lowcost'];
        //             $credits['email'] = $reponse_array['email'];
        //             $credits['requete'] = true;
        //         }
        //     }
        // }
       

        return $credits;
    }

    public static function getGroupes()
    {
        $config = SHOutils::getConfig();
        $reponse_array = array(
            array(
                "id" => "0",
                "groupe" => "aucun groupe trouvé",
            ),
        );

        // if (isset($config['cle_api']) && !empty($config['cle_api'])) {
        //     $data = array(
        //         'key' => $config['cle_api'],
        //         'from' => 'prestashop',
        //     );

        //     $ch = curl_init('http://www.spot-hit.fr/api/groupe/lister');
        //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //     curl_setopt($ch, CURLOPT_POST, 1);
        //     curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data, '', '&'));
        //     $reponse_json = curl_exec($ch);
        //     curl_close($ch);
        //     $reponse_array = Tools::jsonDecode($reponse_json, true);
        // }

        return $reponse_array;
    }

    public static function getNumero($id_address)
    {

        $dataCustomer = Db::getInstance()->getRow(
            'SELECT phone, phone_mobile from '._DB_PREFIX_.'address where id_address="'.pSQL($id_address).'"'
        );
        $numero = false;
        $num_fix = $dataCustomer['phone'];
        $num_port = $dataCustomer['phone_mobile'];

        if ((($n = SHOutils::correctNumero($num_port)) && SHOutils::isMobile($n)) || (($n = SHOutils::correctNumero($num_fix)) && SHOutils::isMobile($n))) {
            $numero = $n;
        }
        return $numero;
    }


    public static function getEmail($id_customer)
    {
        $dataCustomer = Db::getInstance()->getRow(
            'SELECT email from '._DB_PREFIX_.'customer where id_customer="'.pSQL($id_customer).'"'
        );
        $email = false;

        if (isset($dataCustomer['email']) && !empty($dataCustomer['email'])) {
            $email = $dataCustomer['email'];
        }

        return $email;
    }

    public static function getContacts()
    {
        $adresses = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'address');
        $contacts = array();

        if ($adresses) {
            foreach ($adresses as $adresse) {
                $prenom = $adresse['firstname'];
                $nom = $adresse['lastname'];
                if ((($n = SHOutils::correctNumero($adresse['phone_mobile'])) && SHOutils::isMobile(
                    $n
                )) || (($n = SHOutils::correctNumero($adresse['phone'])) && SHOutils::isMobile($n))) {
                    $destinataires = $n;
                    $contacts[] = array("prenom" => $prenom, "nom" => $nom, "numero" => $destinataires);
                }
            }
        }

        return $contacts;
    }

    public static function getSMS()
    {
        $adresses = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'tunisiesms_sms_send');
        $contacts = array();

        if ($adresses) {
            foreach ($adresses as $adresse) {
                $id = $adresse['id'];
                $sms = $adresse['sms'];
                $sender = $adresse['sender'];
                $recipient = $adresse['recipient'];
                $date = $adresse['date'];
                $response = $adresse['response'];
                $status = $adresse['status'];
                /*if ((($n = SHOutils::correctNumero($adresse['phone_mobile'])) && SHOutils::isMobile(
                    $n
                )) || (($n = SHOutils::correctNumero($adresse['phone'])) && SHOutils::isMobile($n))) {*/
                  //  $destinataires = $n;
                    $contacts[] = array(
                    "id" =>$id,
                    "sms" => $sms, 
                    "sender" => $sender, 
                    "recipient" => $recipient,
                    "date" => $date,
                    "response" => $response,
                    "status" => $status,

                    );
             //   }
            }
        }

        return $contacts;
    }

  
    public static function getConfig()
    {
        $resultats = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'tunisiesms_configuration');
        $config = array();
        
        if ($resultats) {
            foreach ($resultats as $data) {
                $config[$data['champs']] = $data['valeur'];
            }
        }

        if (!$config) {
            $config = array(
                "cle_api" =>  "",
                "sms_expediteur" => "",
                "adm_sms_destinataires" =>"",
                "adm_sms_new_order" => false,
                "adm_sms_new_order_message" => "Votre commande est en cours de préparation. Pour plus d'informations et suivre votre commande, rendez-vous directement sur notre site internet.",
                "adm_sms_create_account" => false,
                "adm_sms_create_account_message" => "Votre commande est en cours de préparation. Pour plus d'informations et suivre votre commande, rendez-vous directement sur notre site internet.",
                "adm_sms_authenticate" => false,
                "adm_sms_authenticate_message" => "Votre commande est en cours de préparation. Pour plus d'informations et suivre votre commande, rendez-vous directement sur notre site internet.",
               
                "type" => "premium",
                "sms_taille" => "1",           
                "email_expediteur" => "",
                "email_nom_expediteur" => "",
                "email_reponse" => "",
                "email_sujet" => "",
                "email_etat_annule" => false,
                "email_etat_annule_message" => "Votre commande a été annulée. Pour plus d'informations et effectuer une nouvelle commande, rendez-vous directement sur notre site internet.",
                "email_etat_en_cours" => false,
                "email_etat_en_cours_message" => "Votre commande est en cours de préparation. Pour plus d'informations et suivre votre commande, rendez-vous directement sur notre site internet.",
                "email_etat_expedie" => false,
                "email_etat_expedie_message" => "Votre commande vient d'être expédiée. Pour plus d'informations et suivre votre commande, rendez-vous directement sur notre site internet.",
                "email_etat_livre" => false,
                "email_etat_livre_message" => "Votre commande vous a été livrée. Pour effectuer une nouvelle commande, rendez-vous directement sur notre site internet.",
                "email_etat_rembourse" => false,
                "email_etat_rembourse_message" => "Votre commande vient de vous être remboursée. Pour plus d'informations et effectuer une nouvelle commande, rendez-vous directement sur notre site internet."
            );
   
            $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS(
                    'SELECT osl.id_order_state, osl.name
                        FROM '._DB_PREFIX_.'order_state_lang osl                        
                        WHERE osl.`id_lang` = 1'        
            );

            foreach ($result as $row) 
            {
                $config["sms_etat_" . $row['id_order_state']] =  false ;
                $config["sms_etat_" . $row['id_order_state']. "_message"] =  "Votre commande vient d'être ". $row['name'] ;
            }       
        }

        return $config;
    }

    public static function getContactsSubscription()
    {
        $emailsubscription = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'emailsubscription');
        $contacts = array();

        if ($emailsubscription) {
            foreach ($emailsubscription as $subscription) {
                if (!in_array($subscription['email'], $contacts)) {
                    $email = $subscription['email'];
                    $contacts[] = array("email" => $email);
                }
            }
        }

        return $contacts;
    }

    public static function getContactsEmail()
    {
        $customers = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'customer');
        $contacts = array();

        if ($customers) {
            foreach ($customers as $customer) {
                if (!in_array($customer['email'], $contacts)) {
                    $prenom = $customer['firstname'];
                    $nom = $customer['lastname'];
                    $email = $customer['email'];
                    $contacts[] = array("prenom" => $prenom, "nom" => $nom, "email" => $email);
                }
            }
        }

        return $contacts;
    }

    public static function getAllEmail()
    {
        $customers = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'customer');
        $contacts = array();

        if ($customers) {
            foreach ($customers as $customer) {
                if (!in_array($customer['email'], $contacts)) {
                    $prenom = $customer['firstname'];
                    $nom = $customer['lastname'];
                    $email = $customer['email'];
                    $contacts[] = array("prenom" => $prenom, "nom" => $nom, "email" => $email, "type" => "contact",);
                }
            }
        }

        $emailsubscription = Db::getInstance()->executeS('SELECT * FROM  '._DB_PREFIX_.'emailsubscription');

        if ($emailsubscription) {
            foreach ($emailsubscription as $subscription) {
                if (!in_array($subscription['email'], $contacts)) {
                    $email = $subscription['email'];
                    $contacts[] = array("email" => $email, "type" => "newsletter");
                }
            }
        }

        return $contacts;
    }

    public static function http_response($url)
    {
        $ch = curl_init();

        $options = array(
            CURLOPT_URL            => $url ,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_HEADER         => false,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_ENCODING       => "",
            CURLOPT_AUTOREFERER    => true,
            CURLOPT_CONNECTTIMEOUT => 120,
            CURLOPT_TIMEOUT        => 120,
            CURLOPT_MAXREDIRS      => 10,
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_FAILONERROR    => true
        );

        curl_setopt_array( $ch, $options );
        $response = curl_exec($ch);

        if (curl_errno($ch)) {
            $error_msg = curl_error($ch);
        }
    
        $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

        if($httpCode == 200)
        {
            $xml = simplexml_load_string($response);

            $httpCode = $xml->status->status_code;
            //echo ($xml->status->status_msg);

        }

        curl_close($ch);

        if (isset($error_msg)) {
            
           echo $error_msg;
           echo '<br/>';
           $httpCode = -1;
        }

        return  $httpCode;
        
    }


/*******************NEW****************** */

public static function http_response_status($url, $status)
{
    if (SHOutils::http_response($url) == 200){
        $status= 'Success';
    }
    else {
        $status = 'fail';
    }

    return  $status;
}


 
}
