<?php
/**
 * NOTICE OF LICENSE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    Xavier Lecoq
 *  @copyright 2015-2018 Inwave
 *  @license   GNU General Public License version 2
 */

include_once(dirname(__FILE__) . '/AdminSHAdmin.php');

class AdminSHConfigurationController extends AdminSHAdminController
{
 
    public function __construct()
    {
        $this->template = 'admin/configuration.tpl';
        $this->bootstrap = true;
        $this->table = 'order_state';
        $this->className = 'OrderState';
        $this->lang = true;
        $this->deleted = false;
        $this->colorOnBackground = false;
        $this->multishop_context = Shop::CONTEXT_ALL;
        $this->imageType = 'gif';
        $this->fieldImageSettings = array(
            'name' => 'icon',
            'dir' => 'os',          
        );


        parent::__construct();




        
        $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS('SELECT os.id_order_state, osl.name
					FROM '._DB_PREFIX_.'order_state os
                    LEFT JOIN '._DB_PREFIX_.'order_state_lang osl ON (osl.id_order_state = os.id_order_state)
                    WHERE osl.`id_lang` = 1 AND os.`deleted` = 0'        
        );


        $this->context->smarty->assign('row', $result) ;
    }
  

    public function setMedia($isNewTheme = false)
    {
        parent::setMedia();
        $this->addJS(_MODULE_DIR_ . 'tunisiesms/views/js/configuration.js');
    }

    public function initContent()
    {
        parent::initContent();
        $return = array();
        $return['resultat'] = false;
        $return['erreur'] = "";
        
        if (isset($_REQUEST['action']) && $_REQUEST['action'] == "save_configuration") {
            $return = $this->saveConfiguration();
        }
        if (isset($_REQUEST['action']) && $_REQUEST['action'] == "export_contacts") {
            $return = $this->exportContacts();
        }
        if (isset($_REQUEST['action']) && $_REQUEST['action'] == "newsletter_export_contacts") {
            $return = $this->exportNewsletterContacts();
        }
        if (isset($_REQUEST['action']) && $_REQUEST['action'] == "refresh_status") {
            $return = $this->refreshStatusConfiguration();
        }

        $this->displayTemplate(array("retour" => $return));
    }

 
}
