{*
*
* NOTICE OF LICENSE
*
*  This program is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
*  @author    Xavier Lecoq
*  @copyright 2015-2019 Inwave
*  @license   GNU General Public License version 2
*}



<div class="tunisiesms">

  {include file="$templates_dir/admin/export_contacts.tpl"}

  {if isset($config['cle_api']) & !empty($config['cle_api']|escape:'htmlall':'UTF-8') & $credits['requete']}
  <div class="panel">
  <div class="row configuration">

    <form method="POST" role="form" class="form-horizontal">

      <div class="col-md-12">

        <div class="row">

          <div class="col-md-12">

            <h1>
              {l s='Administration SMS Notification' mod='tunisiesms'}

            </h1>

          </div>

        </div>

        {if $retour['resultat']}

        <div class="alert alert-success">

          {l s='Your configuration has been updated!' mod='tunisiesms'}

        </div>

        {elseif !$retour['resultat'] & !empty($retour['erreur'])}

        <div class="alert alert-danger">

          {if $retour['erreur'] == "destinataires"}

            {l s='Your mobile must not be a phone number and must have' mod='tunisiesms'} <strong>{l s='11 characters -' mod='tunisiesms'} <span
                class="nbr_sms">1</span>{l s=' SMS maximum' mod='tunisiesms'}</strong>.

          {elseif $retour['erreur'] == "type"}

            {l s='SMS type is invalid, please choose between' mod='tunisiesms'} <strong>{l s='Premium' mod='tunisiesms'}</strong> {l s='and' mod='tunisiesms'}<strong> {l s='Lowcost' mod='tunisiesms'}</strong>.

          {else}

            {l s='An error has occurred, please check your fields.' mod='tunisiesms'}

          {/if}

        </div>

        {/if}

        <div class="row row-margin-top">

          <div class="col-md-12">

            <div class="row row_title">

              <div class="col-md-12">

                <h2><span class="icon icon-edit"></span>{l s='Mobile configuration' mod='tunisiesms'}</h2>

              </div>

            </div>

          </div>

        </div>

    

        

       

      </div>

      <div class="row row-margin-top destinataires" >


<div class="col-md-5 center m-3 row">

        

          <div class="form-group">

            <label class="col-sm-4 control-label-demo">Liste des numéros mobile</label>


        
          </div>
          <div class="form-group">

           <div class="col-sm-12" >

              <input type="text" class="form-control" name="adm_sms_destinataires" minlength="11" 
              maxlength="60" id="adm_sms_destinataires" placeholder="216xxxxxxxx; 216yyyyyyyy"
                     value="{$config['adm_sms_destinataires']|escape:'htmlall':'UTF-8'}">
                     <h4>Veuillez SVP séparer les numéros mobile par
                      "<span style="font-weight: bold;">;</span>"</h4>

            </div>
            </div>

        

      </div>


  </div>

  <div class="row row-margin-top">

    <div class="col-md-12">

      <div class="row row_title">

        <div class="col-md-12">

          <h2><span class="icon icon-comment"></span>{l s='SMS notification d\'alerte' mod='tunisiesms'}</h2>

        </div>

      </div>

    </div>

  </div>


<div class="row row-margin-top">

    <div class="col-md-6">

      <div class="choix_type_param">

        <label for="adm_sms_new_order" class="label_block">

          <div class="row">

            <div class="col-md-12">

              <p class="text-left">
              <input type="checkbox" class="form-control" name="adm_sms_new_order" id="adm_sms_new_order"
                                           {if $config["adm_sms_new_order"]}]  checked="checked"{/if}>
                                           <span class="select_choix"><span class="icon icon-check"></span></span>
               {*{l s="new order" mod='tunisiesms'}*}

                {l s="Activer les notifications pour la création d'une nouvelle commande" mod='tunisiesms'}
              </p>

            </div>

          </div>

          <div class="row row_notification">

            <div class="col-md-12">

              <textarea name="adm_sms_new_order_message" class="form-control notification_message class_sms" rows="3"
                id="adm_sms_new_order_message">{$config["adm_sms_new_order_message"]|escape:'htmlall':'UTF-8'}</textarea>

              <div id="adm_sms_new_order_message_compteur" class="message_compteur"><span
                    class="caracteres">0</span>/<span class="max_caracteres">160</span> {l s='characters -' mod='tunisiesms'} <span
                    class="nbr_sms">1</span> SMS
              </div>

            </div>

          </div>

        </label>

      </div>

    </div>

  </div>

<div class="row row-margin-top">

    <div class="col-md-6">

      <div class="choix_type_param">

        <label for="adm_sms_create_account" class="label_block">

          <div class="row">

            <div class="col-md-12">

              <p class="text-left">
              <input type="checkbox" class="form-control" name="adm_sms_create_account" id="adm_sms_create_account"
                                           {if $config["adm_sms_create_account"]}]  checked="checked"{/if}>
                                           <span class="select_choix"><span class="icon icon-check"></span></span>
               {*{l s="new account" mod='tunisiesms'}*}

                {l s="Activer les notifications pour la création d'un nouveau compte" mod='tunisiesms'}

              </p>

            </div>

          </div>

          <div class="row row_notification">

            <div class="col-md-12">

              <textarea name="adm_sms_create_account_message" class="form-control notification_message class_sms" rows="3"
                id="adm_sms_create_account_message">{$config["adm_sms_create_account_message"]|escape:'htmlall':'UTF-8'}</textarea>

              <div id="adm_sms_create_account_message_compteur" class="message_compteur"><span
                    class="caracteres">0</span>/<span class="max_caracteres">160</span> {l s='characters -' mod='tunisiesms'} <span
                    class="nbr_sms">1</span> SMS
              </div>

            </div>

          </div>

        </label>

      </div>

    </div>

  </div>

<div class="row row-margin-top">

    <div class="col-md-6">

      <div class="choix_type_param">

        <label for="adm_sms_authenticate" class="label_block">

          <div class="row">

            <div class="col-md-12">

              <p class="text-left">
              <input type="checkbox" class="form-control" name="adm_sms_authenticate" id="adm_sms_authenticate"
                                           {if $config["adm_sms_authenticate"]}]  checked="checked"{/if}>
                                           <span class="select_choix"><span class="icon icon-check"></span></span>
               {*{l s="new authentification" mod='tunisiesms'}*}

                {l s="Activer les notifications pour l'autentification à un compte client" mod='tunisiesms'}

              </p>

            </div>

          </div>

          <div class="row row_notification">

            <div class="col-md-12">

              <textarea name="adm_sms_authenticate_message" class="form-control notification_message class_sms" rows="3"
                id="adm_sms_authenticate_message">{$config["adm_sms_authenticate_message"]|escape:'htmlall':'UTF-8'}</textarea>

              <div id="adm_sms_authenticate_message_compteur" class="message_compteur"><span
                    class="caracteres">0</span>/<span class="max_caracteres">160</span> {l s='characters -' mod='tunisiesms'} <span
                    class="nbr_sms">1</span> SMS
              </div>

            </div>

          </div>

        </label>

      </div>

    </div>

  </div>






{***************************************************************}

    


  <div class="row row-margin-top">

    <div class="col-md-6 text-right">

      <button class="btn btn-success btn-lg" style="margin-left:25px;" name="action" value="save_configuration"
              type="submit">{l s='Save' mod='tunisiesms'}
      </button>

    </div>

  </div>


</div>

</form>
</div>
</div>

{/if}

<div class="alert alert-info">
  <strong> If you want you can use these keys in your message :</strong><br/>
  <ul>
    <li>{l s='%COMMANDE%    : Commande ID de la nouvelle commande crée.' mod='tunisiesms'}</li>
    <li>{l s='%EMAIL%       : Email du client soit pour autentification, soit pour creation d\'un nouveau compte.' mod='tunisiesms'}</li>
  </ul>
</div>


</div>

